# $Revision: 1.31 $, $Date: 2009/10/07 04:12:52 $
Summary:	X.org keyboard input drivers
Summary(pl.UTF-8):	Sterowniki wejściowe klawiatury dla X.org
Name:		xorg-driver-input-keyboard
Version:	1.4.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-keyboard-%{version}.tar.bz2
# Source0-md5:	fd17158ffeacecc8cc670604460cb98b
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libpciaccess-devel
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.2.99.0
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_xinput
Requires:	xorg-xserver-server >= 1.2.99.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org keyboard input drivers. They support the standard OS-provided
keyboard interface.

%description -l pl.UTF-8
Sterowniki wejściowe klawiatury dla X.org. Obsługują standardowy
interfejs klawiatury udostępniany przez system operacyjny.

%prep
%setup -q -n xf86-input-keyboard-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/input/kbd_drv.so
%{_mandir}/man4/kbd.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-input-keyboard.spec,v $
Revision 1.31  2009/10/07 04:12:52  arekm
- up to 1.4.0

Revision 1.30  2009/10/02 08:27:01  arekm
- release 2

Revision 1.29  2009/09/10 18:39:01  arekm
- up to 1.3.99.1

Revision 1.28  2009/03/16 23:25:27  vip
- missing BR (pciaccess)

Revision 1.27  2009/02/25 21:14:22  arekm
- release 2

Revision 1.26  2009/01/07 18:01:47  arekm
- up to 1.3.2

Revision 1.25  2008/07/01 16:04:48  arekm
- release 3

Revision 1.24  2008/07/01 12:05:44  arekm
- release 2

Revision 1.23  2008-05-21 19:53:56  arekm
- up to 1.3.1

Revision 1.22  2008-05-10 07:57:56  qboosh
- updated to 1.3.0

Revision 1.21  2007-09-06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.20  2007/09/06 16:16:38  arekm
- track xserver input deps

Revision 1.19  2007/09/05 16:34:32  qboosh
- updated to 1.2.2
- xf86OSKbd.h already included in sources

Revision 1.18  2007/06/12 06:30:43  arekm
- rel 1

Revision 1.17  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.15  2006/11/05 11:57:25  arekm
- rel 0.2

Revision 1.14  2006/11/05 11:57:06  arekm
- builds now; keyboard driver was dropped upstream (kbd driver left)

Revision 1.13  2006/11/04 16:56:10  qboosh
- updated to 1.2.0

Revision 1.12  2006/10/17 13:38:18  qboosh
- updated to 1.1.1

Revision 1.11  2006/04/10 13:43:52  qboosh
- updated to 1.1.0

Revision 1.10  2006/01/05 13:44:51  qboosh
- 1.0.1.3 (X11R7.0 release)

Revision 1.9  2005/12/21 14:48:19  qboosh
- 1.0.1.2 (X11R7.0-RC4)

Revision 1.8  2005/12/06 15:38:49  qboosh
- 1.0.1.1 (X11R7.0-RC3)

Revision 1.7  2005/11/20 12:27:15  qboosh
- 1.0.1 (X11R7.0-RC2)

Revision 1.6  2005/10/28 22:52:22  qboosh
- more verbose descs

Revision 1.5  2005/10/23 19:26:29  qboosh
- --disable-static instead of creating and removing *.a

Revision 1.4  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.3  2005/10/21 18:36:21  qboosh
- sorted BRs

Revision 1.2  2005/10/21 18:24:43  qboosh
- more BRs, libtoolize, fixed drivermandir

Revision 1.1  2005/10/20 22:18:13  jpc
- basic drivers for modular X.org
